$kind: http-request
url: "{{baseUrl}}loans/client-loans/13/disburse"
method: POST
body:
  type: json
  content: |-
    {
        "disbursement_note": "This one is good, final ting",
        "amount_disbursed": 1500000,
        "disbursement_date": "2024-05-28",
        "interest_rate": 2,
        "user_branch_id": 1,
        "transaction_channel_account_id": 6,
        "payment_mode_id": 5,
        "organisation_id": 1,
        "accounting_type": 1,
        "user_full_names": "John Doe",
        "user_id": 1,
        "loan_fees_amount": 1000,
        "fees": [
            {
                "loan_product_fee_id": 1,
                "fee_id": 1,
                "amount": 2000
            }
        ],
         "schedules": [
                {
                    "payment_date": "2024-05-24",
                    "installment_number": 1,
                    "interest_amount": 938,
                    "principal_amount": 100000,
                    "paid_principal": 100938
                },
                {
                    "payment_date": "2024-06-14",
                    "installment_number": 2,
                    "interest_amount": 938,
                    "principal_amount": 100000,
                    "paid_principal": 100938
                },
                {
                    "payment_date": "2024-07-05",
                    "installment_number": 3,
                    "interest_amount": 938,
                    "principal_amount": 100000,
                    "paid_principal": 100938
                },
                {
                    "payment_date": "2024-07-26",
                    "installment_number": 4,
                    "interest_amount": 938,
                    "principal_amount": 100000,
                    "paid_principal": 100938
                },
                {
                    "payment_date": "2024-08-16",
                    "installment_number": 5,
                    "interest_amount": 938,
                    "principal_amount": 100000,
                    "paid_principal": 100938
                }
            ]
    }
auth:
  type: bearer
  credentials:
    token: "{{token}}"
order: 15000
